unit ClassLogAppErrorUnit;

interface
uses CRegistryStatusUnit,StdCtrls,Windows,SysUtils,Dialogs;

type ClassLogAppError=class(CRegistryStatus)
 constructor CreateBool(chk:TCheckBox);override;
 procedure Change;override;
 function GetWinDir:String;
end;

implementation
constructor ClassLogAppError.CreateBool(chk:TCheckBox);
begin
 strTMPKey:='HKLM\Software\Microsoft\Windows\CurrentVersion\Fault\LogFile';
 cChk:=chk;

 chk.Enabled:=True;

 if QueryKeyString(strTMPKey)=GetWinDir+'\FAULTLOG.TXT' then
  cChk.Checked:=True
 else
  cChk.Checked:=False;
end;

procedure ClassLogAppError.Change;
var b:Boolean;
    status:Boolean;
begin
 status:=cChk.Checked;

 if Status=True then begin
  b:=CreateKeyString(strTMPKey,GetWinDir+'\FAULTLOG.TXT');
  if b=True then
   cChk.Checked:=True
  else
   cChk.Checked:=False
 end
 else begin
  b:=DeleteKey(strTMPKey);
  if b=True then
   cChk.Checked:=False
  else
   cChk.Checked:=True;
 end;
end;

function ClassLogAppError.GetWinDir:String;
var s:string;
    pC:PChar;
    l:Longint;
begin
 l:=GetWindowsDirectory(pC,0);
 pC:=StrAlloc(l+1); {\0 bracht ja auch Platz}
 GetWindowsDirectory(pC,l);
 s:=String(pC);
 StrDispose(pC);
 GetWinDir:=s;
end;

end.
