unit ClassStartmenuShowDelayUnit;

interface
uses CRegistryStatusStringUnit,StdCtrls,SysUtils,Dialogs;

type
 ClassStartmenuShowDelay=class(CRegistryStatusString)
 constructor CreateTEdit(ted:TEdit;TSta:TLabel);override;
 procedure Change;override;
protected
 strCurStatus:string;
end;

implementation

constructor ClassStartmenuShowDelay.CreateTEdit(ted:TEdit;TSta:TLabel);
begin
 strTMPKey:='HKCU\Control Panel\Desktop\MenuShowDelay';
 bIsOk:=True; //Option ist immer verfgbar

 inherited CreateTEdit(ted,TSta);

 if ted.Text='' then begin //kein Wert verfgbar
  ted.Text:='250';
 end;

 strCurStatus:=ted.Text;
end;

procedure ClassStartmenuShowDelay.Change;
var
 i:longint;
 strTMP:string;
begin
 strTMP:='Bei der Umwandlung des Wertes ist ein Fehler aufgetreten! ';
 strTMP:=strTMP+'Bitte geben Sie eine Ganzzahl zwischen 0 und 65534 ein.';
 try
  i:=StrToInt(cEdi.text);

  if (i<0) or (i>65534) then
   raise EConvertError.Create('Wrong Number');

  inherited Change;
  RestartWindows(true);
 except
  MessageDlg(strTMP,mtError,[mbOK],0);
  cEdi.text:=strCurStatus;
 end;
end;

end.
